var g_URL;
var g_disciplineID;
var g_facultyID;
var $ = jQuery;
$(function() {
    var selectSubject = $("select.SelectSubject").first();
    g_URL = (window.location.href).split("/");
    g_disciplineID = g_URL[g_URL.length - 1];
    DisciplineID = g_disciplineID;
    
    // Получить список в память
    function GetSubjectsList()
    {
        var g_facultyID = 0;
        var optionVal = parseInt($("select.SelectFaculty").children("option:selected").val());
        if (optionVal <= 0)
            return;

        selectSubject.attr("disabled", true);
        var g_facultyID = optionVal;
        $.post(
            g_URLdir + "handler/map/GetSubjectsList",
            {
                "FacultyID": g_facultyID
            },
            function(data)
            {
                selectSubject.select2("val", "");
                data = (data !== "") ? $.parseJSON(data) : {};
                var jProto = $($.parseHTML("<option></option>"));
                selectSubject.html("");

                selectSubject.append($.parseHTML("<option></option>"));
                $.each(data, function (key, cur) { 
                    jProto.html(cur.Title).val(cur.ID);
                    selectSubject.append(jProto.clone());	
                });
            }
        ).always(
            function(success)
            {
                if (selectSubject.children().first().is(":selected"))
                    selectSubject.select2({placeholder: "Выберите предмет", allowClear: true});
                selectSubject.removeAttr("disabled");
            }
        );
    }
    
    if (selectSubject.size() > 0) {
        selectSubject.select2({placeholder: "Выберите предмет", allowClear: true});
    }


    $(".SelectFaculty").change(function(){
        GetSubjectsList($(this).val());
    });

    

    var jTemp = $(".HiddenInputFacultyID");
    if (jTemp.length > 0) {
        g_facultyID = jTemp.val(); // Факультет, к которой привязана дисциплина
        //jTemp.remove(); // Тут даже Шерлок Холмс бессилен
    }

});
